.js .inputfile {
    width: 0.1px;
    height: 0.1px;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    z-index: -1;
}

.inputfile + label {
    width: 96%;
    font-size: 1.25rem;
    text-align: center;
    /* 20px */
    margin-left: 2%;
    font-weight: 700;
    text-overflow: ellipsis;
    white-space: nowrap;
    cursor: pointer;
    display: inline-block;
    overflow: hidden;    
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    border-radius: 0.5em;
}

.no-js .inputfile + label {
    display: none;
}

.inputfile:focus + label,
.inputfile.has-focus + label {
    outline: 1px dotted #000;
    outline: -webkit-focus-ring-color auto 5px;
}

.inputfile + label * {
    /* pointer-events: none; */
    /* in case of FastClick lib use */
}

.inputfile + label img {
    width: 1.25em;
    height: 1.25em;
    vertical-align: middle;
    fill: currentColor;
    margin-top: -0.25em;
}

.inputfile-1 + label {
    transition: 1s all;
    color: #ffffff;    
    background-color: #0099ff;
    opacity: 0.65;
}

.inputfile-1:focus + label,
.inputfile-1.has-focus + label,
.inputfile-1 + label:hover {background-color: #006bb3;
                            opacity: 0.95;
}
